# Tranquility: HUD Adjuster for Tekken 8 (v1.2.20)

Originally written for TekkenCore, an extension for Tekken 8 that aims to add quality-of-life features, Tranquility is all of the no-stress stuff of that mod bundled into one massive Lua script.

Now with a handful of new features!

## Installation

  - Download the [UE4SS_v3.0.1.zip](https://github.com/UE4SS-RE/RE-UE4SS/releases/tag/v3.0.1) from here.
  - Place the contents of UE4SS in <steamapps>\common\TEKKEN 8\Polaris\Binaries\Win64
  - Download the latest release of Tranquility here or on [GitHub](https://github.com/koenjicode/TK8-Tranquility).
  - Extract the contents of the release in: <steamapps>\common\TEKKEN 8\Polaris\Binaries\Win64\Mods
  - Check to make sure the above folder path has a folder called TekkenTranquility
  - Update your mods.txt to include **TekkenTranquility : 1** (can be anywhere in the mods.txt)
  - Launch the game.

Please let me know if you have any issues with this mod.

## Adjusting Settings

**Tranquility** has many setting options that can be adjusted.
To adjust settings, open up **config.lua** located in the TekkenTranquility scripts folder.

### Troubleshooting

***If you previously had an older version of UE4SS:***
Delete all the files related to that version of UE4SS and install UE4SS v3.0.1

***If UE4SS fails to hook:***
Click the "Restart All Mods" button in the UE4SS console.

***If UE4SS is crashing when your pressing "Restart All Mods"***
Go to your mods.txt and set BPModLoaderMod to 0.

***If your UE4SS window is blank***
Open up UE4SS-settings.ini located in your Binaries and set GraphicsAPI to dx11.

***If you previously installed TekkenCore:***
Uninstall TekkenCore, Tranquility may cause problems with TekkenCore so its best to have it uninstalled.

 
